%define pkg_name        Text-Context
%define pkg_version     3.6
%define rpm_pkg_version 3.6
%define rpm_pkg_release 2.n0i.3

Summary:       Handle highlighting search result context snippets
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/T/TM/TMTM/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Text::Context::EitherSide) >= 1.1}
%{!?_without_test:BuildRequires: perl(UNIVERSAL::require) >= 0.03}


%description
Given a piece of text and some search terms, produces an object which
locates the search terms in the message, extracts a reasonable-length
string containing all the search terms, and optionally dumps the string out
as HTML text with the search terms highlighted in bold.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 3.6-2.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7

* Fri Sep 09 2005 Marius Feraru <altblue@n0i.net> 3.6-1.n0i.2
- version 3.6

* Tue Aug 09 2005 Marius Feraru <altblue@n0i.net> 3.5-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
